@echo OFF
     set CmdName=CBLCLTE2
rem  * *******************************************************************
rem  *                Job Script - a Windows Command File                *
rem  *                 Provided by SimoTime Technologies                 *
rem  *            (C) Copyright 1987-2019 All Rights Reserved            *
rem  *              Web Site URL:   http://www.simotime.com              *
rem  *                    e-mail:   helpdesk@simotime.com                *
rem  * *******************************************************************
rem  *
rem  * Text   - Convert ASCII, RSEQ-80 to ASCII/Text
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * The 1st step (QSAMDELT) will delete any previously created file.
rem  *
rem  * The 2nd step (MAKEFILE) will create a new file. The first
rem  * position in each record will contain a printable character.
rem  *
rem  * The 3rd step will show a program that works properly in an
rem  * EBCDIC environment but fails in an ASCII environment.
rem  *
rem  * The 4th step will SORT the file. This step will produce different
rem  * results when executing on an EBCDIC or ASCII environment.
rem  *
rem  * The 5th step shows the sequencing for the two environments and
rem  * will worked properly in an EBCDIC environment but fail in an
rem  * ASCII environment.
rem  *
rem  * This set of programs will run on a mainframe under MVS or on a
rem  * Personal Computer with Windows and Micro Focus Mainframe Express.
rem  *
rem  * *******************************************************************
rem  * Step 1 Delete any previously created file...
rem  *
     call ..\Env1BASE %CmdName%
     set JobStatus=0000
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%, V04.08.13, User is %USERNAME%"
     set SYSOUT=%BaseLib1%\LOGS\SYSOUT_%CmdName%.TXT
rem  *
rem  * *******************************************************************
     call SimoNOTE "* Step 1 of 4, Convert COLLATE1 from ASCII/RSEQ-80 to ASCII/Text"
     set GETRS080=%BASEAPP%\DATA\ASC1\COLLATE1.DAT
     set PUTLS080=%BASEAPP%\DATA\TXT1\COLLATE1.TXT
     if exist %PUTLS080% erase %PUTLS080%
     call SimoNOTE "DataTAKE is %GETRS080% "
     call SimoNOTE "DataMAKE is %PUTLS080% "
     run CV80ARAL
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto :EojNOK
     if not exist %PUTLS080% set JobStatus=0035
     if not "%JobStatus%" == "0000" goto :EojNOK
rem  *
rem  * *******************************************************************
     call SimoNOTE "* Step 2 of 4, Convert COLLATE2 from ASCII/RSEQ-80 to ASCII/Text"
     set GETRS080=%BASEAPP%\DATA\ASC1\COLLATE2.DAT
     set PUTLS080=%BASEAPP%\DATA\TXT1\COLLATE2.TXT
     if exist %PUTLS080% erase %PUTLS080%
     call SimoNOTE "DataTAKE is %GETRS080% "
     call SimoNOTE "DataMAKE is %PUTLS080% "
     run CV80ARAL
     if not "%ERRORLEVEL%" == "0" set JobStatus=0020
     if not "%JobStatus%" == "0000" goto :EojNOK
     if not exist %PUTLS080% set JobStatus=0035
     if not "%JobStatus%" == "0000" goto :EojNOK
rem  *
rem  * *******************************************************************
     call SimoNOTE "* Step 3 of 4, Convert COLLATE3 from ASCII/RSEQ-80 to ASCII/Text"
     set GETRS080=%BASEAPP%\DATA\ASC1\COLLATE3.DAT
     set PUTLS080=%BASEAPP%\DATA\TXT1\COLLATE3.TXT
     if exist %PUTLS080% erase %PUTLS080%
     call SimoNOTE "DataTAKE is %GETRS080% "
     call SimoNOTE "DataMAKE is %PUTLS080% "
     run CV80ARAL
     if not "%ERRORLEVEL%" == "0" set JobStatus=0030
     if not "%JobStatus%" == "0000" goto :EojNOK
     if not exist %PUTLS080% set JobStatus=0035
     if not "%JobStatus%" == "0000" goto :EojNOK
rem  *
rem  * *******************************************************************
     call SimoNOTE "* Step 4 of 4, Convert COLLATE4 from ASCII/RSEQ-80 to ASCII/Text"
     set GETRS080=%BASEAPP%\DATA\ASC1\COLLATE4.DAT
     set PUTLS080=%BASEAPP%\DATA\TXT1\COLLATE4.TXT
     if exist %PUTLS080% erase %PUTLS080%
     call SimoNOTE "DataTAKE is %GETRS080% "
     call SimoNOTE "DataMAKE is %PUTLS080% "
     run CV80ARAL
     if not "%ERRORLEVEL%" == "0" set JobStatus=0040
     if not "%JobStatus%" == "0000" goto :EojNOK
     if not exist %PUTLS080% set JobStatus=0035
     if not "%JobStatus%" == "0000" goto :EojNOK
     goto EojAok
:EojAOK
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus%"
     goto :End
:End
     if not "%1" == "nopause" pause
     exit /B %JobStatus%
